Page MenuHomePhabricator

Reporters of imported reports should receive notifications for them
Closed, DeclinedPublic

Description

Until T847 is fixed, unregistered reporters should at very least be added to subscribers. Currently this report isn't associated in any way to the reporter kunalgrover05, while it has one and only one subscriber (Nikerabbit) https://bugzillapreview.wmflabs.org/T7194

We sent a couple generic emails (T618), but

  • only to active users,
  • without reminding them why we think they care (the reports they filed/were following).

It's not clear how many emails were actually received but the progress so far was minimal: we have thousands of "orphaned" open bugs, where the reporter is not registered and hence is not following them.

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
Qgil closed this task as Declined.Oct 26 2014, 5:29 AM
Qgil claimed this task.
Qgil triaged this task as Low priority.
Qgil added a project: Bugzilla-Preview.

The problem is the same: you cannot add a subscriber when their account hasn't been created yet. These users will be added as reporters or subscribers when they create their accounts.

Nemo_bis added a comment.EditedNov 19 2014, 8:12 AM

These users will be added as reporters or subscribers when they create their accounts.

What happens to the notifications before they subscribe? We're not going to have tens of thousands orphaned reports, I hope?

Nemo_bis reopened this task as Open.Nov 19 2014, 8:15 AM

Reopen as documentation task until last comment is answered on https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla , which just says reporter and subscribers are imported.

Qgil added a comment.Nov 19 2014, 9:53 AM

Do we need to document that Phabricator cannot send notifications to authors of tasks until they get an account in Phabricator? Which other behavior could be expected here?

Qgil added a comment.Nov 19 2014, 10:00 AM

I'd rather check whether we can get a list of all users that have created a report in Bugzilla, and send them an email urging them to create a Phabricator account if they haven't done so. Next week, right after the migration is completed. Right now it's too late.

Qgil added a subscriber: Aklapper.Nov 19 2014, 10:01 AM
Qgil raised the priority of this task from Low to Normal.Nov 24 2014, 12:21 PM
Qgil edited projects, added Phabricator; removed Bugzilla-Preview.
Qgil moved this task from To Triage to Need discussion on the Phabricator board.
Qgil removed Qgil as the assignee of this task.Nov 26 2014, 7:41 AM
Qgil added a subscriber: Qgil.

This task as requested should be imho Declined, but @Aklapper what do you think about sending an email to all task creators?

What happens to the notifications before they subscribe? We're not going to have tens of thousands orphaned reports, I hope?

In T896#787384, @Qgil wrote:

This task as requested should be imho Declined, but @Aklapper what do you think about sending an email to all task creators?

I'm not sure which problem is supposed to get solved here.
If people have not and do not join Phabricator and have not claimed their Bugzilla account they won't be added to anything, and if people don't care about their bug reports and have ignored the banner that was on Bugzilla for weeks before we migrated and those two emails that we sent to active folks that's a problem that we won't solve via sending yet another email to them?
We will have lots of orphaned tasks. It might be even good to reveal that humans are free to change interests and are not interested anymore in what they were interested once upon a time. Those who do care had lots of time to claim their Bugzilla accounts before the migration in order to not lose/miss any notifications and got asked via several channels.

For the task summary: Adding the reporter also to the subscribers does not change anything if that account is not in Phabricator.

Proposing declined.

Adding the reporter also to the subscribers does not change anything if that account is not in Phabricator.

Then an application needs to be developed which allows us to create "ghost" accounts with the email addresses we have, so that reporters keep receiving updates like before.

Realistically, the only true incentive for an occasional user to register on our issue tracker is that there are updates (or other action needed) regarding a bug they care about.

Aklapper closed this task as Declined.Nov 27 2014, 1:43 PM
Aklapper claimed this task.

Then an application needs to be developed which allows us to create "ghost" accounts with the email addresses we have, so that reporters keep receiving updates like before.

No. In the end I don't see a real difference in outcome between people who ignore emails about stuff they once cared about and people who don't receive emails about stuff they once cared about.
Reporters can receive updates like before if they read those emails asking them to register in Phabricator. But if people don't read emails then people don't read emails, and I don't see how sending them more emails suddenly makes them read emails.

As written above, there's no difference between being a reporter and being a subscriber when it comes to notifications (but that's what the summary asks for), so I'm closing this as declined because the proposal does not solve any problems described.

Nemo_bis reopened this task as Open.Nov 27 2014, 5:36 PM

There are several logical flaws in the arguments above:

  • "ignore emails" is not equivalent to "not read emails";
  • "emails about stuff they once cared about" implies we sent such emails, which we didn't (the stuff they cared about it their bugs, not bugzilla);
  • "if they read those emails asking them to register" is incorrect, they also need to a) not ignore them, b) bother acting on them;
  • "sending them more emails" is not a goal anyone proposed.

Reopening until we have a logical rationale for closure.

In the meanwhile, I see we had about 8500 reporters in bugzilla:
$ curl 'https://old-bugzilla.wikimedia.org/report.cgi?x_axis_field=reporter&no_redirect=1&query_format=report-table&chfieldto=Now&j_top=AND&f1=noop&o1=noop&v1=&format=table&action=wrap' | grep -c '<tr>'
About 4k considering only ---, DUPLICATE and LATER bugs. Would be interesting to have a combined count of commenters (including reporters) and voters of open reports.

Nemo_bis renamed this task from Reporters of imported reports should be added to subscribers to Reporters of imported reports should receive notifications for them.Nov 27 2014, 5:36 PM
Aklapper removed Aklapper as the assignee of this task.Nov 27 2014, 8:30 PM
Aklapper lowered the priority of this task from Normal to Lowest.

For now I'm doing manual notifications on mediawiki.org talk pages, IRC channels and private email when things happen on tasks. I got some people to register this way.

Maybe I'll set up something to make a list of tasks where interested people (especially reporters) were not notified: hopefully a saved search is enough? Also interesting would be to notify bugzilla voters when an issue is closed, but that definitely requires a script.

Nemo_bis updated the task description. (Show Details)Dec 21 2014, 5:28 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Trijnstel.
Qgil added a comment.Dec 22 2014, 11:02 AM

It is also worth noting that users that have no access to their old email addresses will not be able to claim their Bugzilla activity. See for instance T54385.

However, the Bugzilla migration adds no problem in this case. These users already locked out themselves when they lost access to their old email addresses before renewing their Bugzilla email address. They would have not received Bugzilla notifications in any case.

Also, for what is worth, today there are 106 high priority open tasks authored by bzimport. The list, sorted by most recently created: https://phabricator.wikimedia.org/maniphest/query/MI55FJbnnecR/#R

Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 16 2015, 12:52 PM
Aklapper moved this task from Need discussion to Misc on the Phabricator board.Oct 7 2016, 4:40 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 7 2016, 4:40 PM
Aklapper closed this task as Declined.Aug 4 2018, 3:39 PM

We do not plan to spend time on fixing this hence reflecting reality by setting the task status to declined.